version: '2.1'
services:
  syncloop:
    image: nature9/syncloop
    environment:
      - LOGGING_FILE=/logs/server.log
    ports:
      - "8080:8080"
    deploy:
      resources:
        limits:
          cpus: '0.5'
          memory: 1024M
      x-aws-autoscaling:
        min: 1
        max: 10 #required
        cpu: 75

    volumes:
      - eka_vol:/eka
      
volumes:
  eka_vol:
#    external: true
#    name: fs-0d1781ddc5d739570

x-aws-cloudformation:
  Resources:
    SyncloopTCP80TargetGroup:
      Properties:
        HealthCheckPath: /tenant/default/files/gui/middleware/pub/server/ui/welcome/onboarding/login.html
        Matcher:
          HttpCode: 200-499
    SyncloopTCP80Listener:
      Properties:
        Certificates:
          - CertificateArn: "arn:aws:acm:ap-south-1:776625503031:certificate/7a2b32cd-e894-4afd-b212-26f91ad31ce9"
        Protocol: HTTPS
        Port: 443
    Default80Ingress:
      Properties:
        FromPort: 443
        ToPort: 443
    